### Method

# Aravis FakeCamera fill_buffer

#### Declaration [src]

    void
    arv_fake_camera_fill_buffer (
      ArvFakeCamera* camera,
      ArvBuffer* buffer,
      guint32* packet_size
    )

#### Description [src]

Fill a buffer with data from the fake camera.

#### Parameters

`buffer`

  Type: `ArvBuffer`

  The `ArvBuffer` to fill.

  The data is owned by the caller of the method.

`packet_size`

  Type: `guint32*`

  The packet size.

  The argument will be set by the function.
  The argument can be `NULL`.